SDL_FormatInfo Struct Reference

## Data Fields

SDL_bool | left_justify
SDL_bool | force_sign
SDL_bool | force_type
SDL_bool | pad_zeroes
SDL_letter_case | force_case
int | width
int | radix
int | precision

## Detailed Description

Definition at line 1366 of file SDL_string.c.

## Field Documentation

## force_case

SDL_letter_case SDL_FormatInfo::force_case

Definition at line 1372 of file SDL_string.c.

Referenced by SDL_PrintString(), and SDL_vsnprintf().

## force_sign

SDL_bool SDL_FormatInfo::force_sign

Definition at line 1369 of file SDL_string.c.

Referenced by SDL_PrintFloat(), SDL_PrintLong(), SDL_PrintLongLong(), and SDL_vsnprintf().

## force_type

SDL_bool SDL_FormatInfo::force_type

Definition at line 1370 of file SDL_string.c.

Referenced by SDL_PrintFloat(), and SDL_vsnprintf().

## left_justify

SDL_bool SDL_FormatInfo::left_justify

Definition at line 1368 of file SDL_string.c.

Referenced by SDL_vsnprintf().

## pad_zeroes

SDL_bool SDL_FormatInfo::pad_zeroes

Definition at line 1371 of file SDL_string.c.

Referenced by SDL_IntPrecisionAdjust(), SDL_PrintFloat(), SDL_PrintString(), and SDL_vsnprintf().

## precision

int SDL_FormatInfo::precision

Definition at line 1375 of file SDL_string.c.

Referenced by SDL_IntPrecisionAdjust(), SDL_PrintFloat(), SDL_PrintString(), and SDL_vsnprintf().

## radix

int SDL_FormatInfo::radix

Definition at line 1374 of file SDL_string.c.

Referenced by SDL_PrintLong(), SDL_PrintLongLong(), SDL_PrintUnsignedLong(), SDL_PrintUnsignedLongLong(), and SDL_vsnprintf().

## width

int SDL_FormatInfo::width

Definition at line 1373 of file SDL_string.c.

Referenced by SDL_IntPrecisionAdjust(), SDL_PrintFloat(), SDL_PrintString(), and SDL_vsnprintf().

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_string.c